Description

The chance to open QGIS with a specific project is very handful. But using the --configpath option to store all the customizations and

moving the folders created by this option, the specific project has an absolute path. This way it is not possible to directly open the project

on another machine.

History

#1 - 2014-05-20 03:34 AM - Jürgen Fischer

The chance to open QGIS with a specific project is very handful. But using the --configpath option to store all the customizations and moving the

folders created by this option, the specific project has an absolute path. This way it is not possible to directly open the project on another machine.

Are you mixing up configuration paths and project paths?   The path in a project file can be relative to the location of the project file.

But the configuration path can't be relative. What should they be relative to?

#2 - 2014-05-20 05:05 AM - matteo ghetta

I don't think I'm mixing the paths. 

If I want to "export" the directories created by the --configpath option to anther machine along with the option open project on launch, you have to specify

which project (because it is referred to an absolute path). Otherwise QGIS cannot find the .qgs file.

#3 - 2014-05-20 01:51 PM - Jürgen Fischer

matteo ghetta wrote:

I don't think I'm mixing the paths. 

If I want to "export" the directories created by the --configpath option to another machine along with the option open project on launch, you have to

specify which project (because it is referred to an absolute path). Otherwise QGIS cannot find the .qgs file.

The configpath option and the project argument are independant.   You can either specify them relative to the current working directory or absolute.

#4 - 2014-05-23 12:57 AM - Jürgen Fischer

- Status changed from Open to Feedback

#5 - 2014-05-23 03:46 AM - matteo ghetta

sorry, but I still don't get it..
in the directories created by the --configpath option there is the QGIS2.ini file. 

I think that the line:

projOpenAtLaunchPath=/home/matteo/Documents/project.qgs

refers to the open project on launch option.

So, if I copy the directory (e.g. qgisconfig), created with the --configpath option to another machine, the project won't be opened because the path of the

project is of my machine.

#6 - 2014-07-01 09:33 AM - matteo ghetta

Now I get it. Paths are independent.

Thanks for the explanation

#7 - 2016-06-26 05:17 AM - Matthias Kuhn

- Resolution set to invalid

- Status changed from Feedback to Closed
